Skip to main content

Inbox Messages

Overview​

This resource represents Inbox Messages sent in the Inbox Conversations.

Parameters​

NameTypeRead/WriteDescription
attachmentsArrayReadAttachments IDs related to Message
conversationIntegerReadConversation's ID to which Message belongs to
senderIntegerReadSender's ID (Inbox Participant) to which Message is related to
accountIntegerReadAccount's ID to which Message is related to
created_by_idIntegerReadID of the resource that created the Message (User or Application - this is a polymorphic association)
created_by_typeStringReadType of the resource that created the Message (User or Application - this is a polymorphic association)
idIntegerReadMessage's ID.
channelStringReadMessage's channel, list of Channels described in enums section
contentTextReadMessage's content.
originStringReadMessage's origin, list of Origins described in enums section
visibilityStringReadMessage's visibility, list of Visibilities described in enums section
created_atTimeReadMessage's create time.
updated_atTimeReadMessage's update time.
sent_atTimeReadTime when Message was sent.

List Messages​

GET /inbox/messages

Get a single Message​

Returns a single message identified by ID.

GET /inbox/messages/:message_id

Create a new Message​

Returns a created message identified by ID.

POST /inbox/messages

Update a Message​

Returns an updated message identified by ID.

PUT /inbox/messages/:message_id

Add Attachment to a Message​

Returns an updated message identified by ID.

PUT inbox/messages/:id/add_attachment